<?php


/*
 *  Sivac - Sistema Online de Vacinao     
 *  Copyright (C) 2012  IPPES  - Institituto de Pesquisa, Planejamento e Promoo da Educao e Sade   
 *  www.sivac.com.br                     
 *  ippesaude@uol.com.br                   
 *                                                                    
 *  Este programa e software livre; voc pode redistribui-lo e/ou     
 *  modific-lo sob os termos da Licena Publica Geral GNU, conforme  
 *  publicada pela Free Software Foundation; tanto a verso 2 da      
 *  Licena como (a seu critrio) qualquer verso mais nova.          
 *                                                                    
 *  Este programa  distribudo na expectativa de ser til, mas SEM   
 *  QUALQUER GARANTIA; sem mesmo a garantia implcita de              
 *  COMERCIALIZACAO ou de ADEQUACAO A QUALQUER PROPOSITO EM           
 *  PARTICULAR. Consulte a Licena Publica Geral GNU para obter mais  
 *  detalhes.                                                         
 *                                                                    
 *  Voc deve ter recebido uma copia da Licena Publica Geral GNU     
 *  junto com este programa; se no, escreva para a Free Software     
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA          
 *  02111-1307, USA.                                                  
 *  
 *  Copia da licena no diretrio Sistema/licenca_en.txt 
 *                                Sistema/licenca_pt.txt 
 */



$adm = new Administrador();

$adm->UsarBaseDeDados();

if (isset($login)) {
	
	$administradorId = $adm->IdDoAdministradorAtual();
		
	if($_POST && isset($login) && $adm->ValidarFormulario('editarAdministrador') ) {
		
		$adm->SetarDados($_POST);
		
		if( $adm->VerificarNaoDuplicidadeDeAdministrador($administradorId) ) {
			
			if( $adm->EditarAdministrador($administradorId) ) {
				
				$adm->ExibirMensagem('Cadastro atualizado com sucesso!');
				
			}
		}
	}
	echo '<h3 align="center">Alterar dados do Administrador</h3>';
	$adm->ExibirConfirmarSenha();
	
	// Coloquei form aqui por causa do ajax (request_uri apontava pra uri do ajax)
	echo "<form id='f' name='f' method='post'
		action='{$_SERVER['REQUEST_URI']}'
		onsubmit=\"return (ValidarNome(this.nome, 'nome')
			&& ValidarLogin(this.login)
			&& ValidarSenha(this.senha)
			&& ValidarContraSenha(this.contrasenha, 'senha')
			&& ValidarCampoSelect(this.unidadeDeSaude, 'unidade de sade'))\">";
			
	echo '<div id="formAtivo">';
	$adm->ExibirFormularioEditarAdministradorDesabilitado($administradorId);
	echo '</div>';
	
	echo '</form>';
	
}
$adm->ExibirMensagensDeErro();
