<?php



/*
 *  Sivac - Sistema Online de Vacinao     
 *  Copyright (C) 2012  IPPES  - Institituto de Pesquisa, Planejamento e Promoo da Educao e Sade   
 *  www.sivac.com.br                     
 *  ippesaude@uol.com.br                   
 *                                                                    
 *  Este programa e software livre; voc pode redistribui-lo e/ou     
 *  modific-lo sob os termos da Licena Publica Geral GNU, conforme  
 *  publicada pela Free Software Foundation; tanto a verso 2 da      
 *  Licena como (a seu critrio) qualquer verso mais nova.          
 *                                                                    
 *  Este programa  distribudo na expectativa de ser til, mas SEM   
 *  QUALQUER GARANTIA; sem mesmo a garantia implcita de              
 *  COMERCIALIZACAO ou de ADEQUACAO A QUALQUER PROPOSITO EM           
 *  PARTICULAR. Consulte a Licena Publica Geral GNU para obter mais  
 *  detalhes.                                                         
 *                                                                    
 *  Voc deve ter recebido uma copia da Licena Publica Geral GNU     
 *  junto com este programa; se no, escreva para a Free Software     
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA          
 *  02111-1307, USA.                                                  
 *  
 *  Copia da licena no diretrio Sistema/licenca_en.txt 
 *                                Sistema/licenca_pt.txt 
 */


require_once '../autoload.php';
Sessao::Singleton()->ChecarAcesso();
/*require_once('./tVacina.php');
require_once('./tCriptografia.php');*/

//$crip = new Criptografia(); // no index

$vacina = new Vacina;

//parse_str( $crip->Decifrar($_SERVER['QUERY_STRING']) );

if( isset($id) ) {

	$vacina->UsarBaseDeDados();

	if( $vacina->VerificarSeIdDaVacinaExiste($id) ) {

		$vacina->ExibirDetalhesDaVacina($id);
		
		$nota = new Nota();
		
		$nota->ExibirLinkNota($id);
	}
}
else {
	unset($vacina);

	// Se id no foi informada ou se no existe, volta para a lista de campanhas:
	header('Location: listarCampanhas.php');

}

$vacina->ExibirMensagensDeErro();