<?php


/*
 *  Sivac - Sistema Online de Vacinao     
 *  Copyright (C) 2012  IPPES  - Institituto de Pesquisa, Planejamento e Promoo da Educao e Sade   
 *  www.sivac.com.br                     
 *  ippesaude@uol.com.br                   
 *                                                                    
 *  Este programa e software livre; voc pode redistribui-lo e/ou     
 *  modific-lo sob os termos da Licena Publica Geral GNU, conforme  
 *  publicada pela Free Software Foundation; tanto a verso 2 da      
 *  Licena como (a seu critrio) qualquer verso mais nova.          
 *                                                                    
 *  Este programa  distribudo na expectativa de ser til, mas SEM   
 *  QUALQUER GARANTIA; sem mesmo a garantia implcita de              
 *  COMERCIALIZACAO ou de ADEQUACAO A QUALQUER PROPOSITO EM           
 *  PARTICULAR. Consulte a Licena Publica Geral GNU para obter mais  
 *  detalhes.                                                         
 *                                                                    
 *  Voc deve ter recebido uma copia da Licena Publica Geral GNU     
 *  junto com este programa; se no, escreva para a Free Software     
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA          
 *  02111-1307, USA.                                                  
 *  
 *  Copia da licena no diretrio Sistema/licenca_en.txt 
 *                                Sistema/licenca_pt.txt 
 */



$pessoa = new PessoaVacinavel();

$pessoa->UsarBaseDeDados();

$crip = new Criptografia();

parse_str($crip->Decifrar($_SERVER['QUERY_STRING']));

// Verifica se o usurio tomou alguma dose:
if( strlen($pessoa->DataHoraUltimaVacinacao($usuarioId = $id)) > 5 )
{
	$queryStringInativar = $crip->Cifrar("pagina=Adm/inativarPessoa&usuarioId=$id");

    // Redirecionando para inativao com motivo:
    echo "<script>window.location='?$queryStringInativar'</script>";
}

// Se o usurio no tomou nenhuma vacina, ento pode realmente inativ-lo:
elseif ($_POST && isset($id)) {
	
	if($pessoa->ExcluirPessoa($id)) {
	
		$qs = $crip->Cifrar('pagina=Adm/listarPessoa');
		
		echo "<script>window.location='?$qs'</script>";
	}
	
	else $pessoa->AdicionarMensagemDeErro('No foi possivel excluir o indivduo!');
}

$pessoa->ExibirFormularioExcluirPessoa($id);

$pessoa->ExibirMensagensDeErro();

