<?php


/*
 *  Sivac - Sistema Online de Vacinao     
 *  Copyright (C) 2012  IPPES  - Institituto de Pesquisa, Planejamento e Promoo da Educao e Sade   
 *  www.sivac.com.br                     
 *  ippesaude@uol.com.br                   
 *                                                                    
 *  Este programa e software livre; voc pode redistribui-lo e/ou     
 *  modific-lo sob os termos da Licena Publica Geral GNU, conforme  
 *  publicada pela Free Software Foundation; tanto a verso 2 da      
 *  Licena como (a seu critrio) qualquer verso mais nova.          
 *                                                                    
 *  Este programa  distribudo na expectativa de ser til, mas SEM   
 *  QUALQUER GARANTIA; sem mesmo a garantia implcita de              
 *  COMERCIALIZACAO ou de ADEQUACAO A QUALQUER PROPOSITO EM           
 *  PARTICULAR. Consulte a Licena Publica Geral GNU para obter mais  
 *  detalhes.                                                         
 *                                                                    
 *  Voc deve ter recebido uma copia da Licena Publica Geral GNU     
 *  junto com este programa; se no, escreva para a Free Software     
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA          
 *  02111-1307, USA.                                                  
 *  
 *  Copia da licena no diretrio Sistema/licenca_en.txt 
 *                                Sistema/licenca_pt.txt 
 */



?><script language="javascript" src="ajax.js"> </script>
<?php
require_once '../autoload.php';
Sessao::Singleton()->ChecarAcesso();

$vacina = new Vacina();

$vacina->ExibirFormularioInserirVacina();

if(  $vacina->VerificarSeEmitiuFormulario()
   && $vacina->ValidarFormulario('inserirVacina')) {

	$vacina->UsarBaseDeDados();

	$vacina->SetarDados($_POST);

	$vacina->InserirVacina();

	$Vacina_id = $vacina->SelecionarIdDaVacina();

	$aplicacoes = $vacina->IntervalosDasDoses();

	for($i=1; $i <= $aplicacoes; $i++) {

		if(isset($_POST["intervalo$i"]) && $_POST["intervalo$i"] != '') {

			$intervalo = $vacina->ConvertUnidTempParaDias($_POST["intervalo$i"],
		    			 $_POST["unidadeDeTempoDaDose$i"]);

			$atraso = $vacina->ConvertUnidTempParaDias($_POST["intervaloAtraso$i"],
		    			 $_POST["unidadeDeTempoDoAtraso$i"]);

			$vacina->InserirIntervaloDaDose($Vacina_id, $intervalo, $i, $atraso);
	 	}
	}
}

$vacina->ExibirMensagensDeErro();

?>