

/*
 *  Sivac - Sistema Online de Vacinao     
 *  Copyright (C) 2012  IPPES  - Institituto de Pesquisa, Planejamento e Promoo da Educao e Sade   
 *  www.sivac.com.br                     
 *  ippesaude@uol.com.br                   
 *                                                                    
 *  Este programa e software livre; voc pode redistribui-lo e/ou     
 *  modific-lo sob os termos da Licena Publica Geral GNU, conforme  
 *  publicada pela Free Software Foundation; tanto a verso 2 da      
 *  Licena como (a seu critrio) qualquer verso mais nova.          
 *                                                                    
 *  Este programa  distribudo na expectativa de ser til, mas SEM   
 *  QUALQUER GARANTIA; sem mesmo a garantia implcita de              
 *  COMERCIALIZACAO ou de ADEQUACAO A QUALQUER PROPOSITO EM           
 *  PARTICULAR. Consulte a Licena Publica Geral GNU para obter mais  
 *  detalhes.                                                         
 *                                                                    
 *  Voc deve ter recebido uma copia da Licena Publica Geral GNU     
 *  junto com este programa; se no, escreva para a Free Software     
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA          
 *  02111-1307, USA.                                                  
 *  
 *  Copia da licena no diretrio Sistema/licenca_en.txt 
 *                                Sistema/licenca_pt.txt 
 */

function ativaOptionsDisabled()
{ 
    var sels = document.getElementsByTagName('select');
    
    for(var i=0; i < sels.length; i++){

        // Colocar aqui as IDs dos selects que suportaro o
        // esquema do desabilitado:
       if( sels[i].id == 'campanha') {
           
           sels[i].onchange= function(){ //pra se mudar pro desabilitado

                if(this.options[this.selectedIndex].disabled){
                    if(this.options.length<=1){
                        this.selectedIndex = -1;
                    }else if(this.selectedIndex < this.options.length - 1){
                        this.selectedIndex++;
                    }else{
                        this.selectedIndex--;
                    }
                }

           }
       }
        
        if(sels[i].options[sels[i].selectedIndex].disabled){
            //se o selecionado atual desabilitado chamo o onchange
            sels[i].onchange();
        }    
        for(var j=0; j < sels[i].options.length; j++){ //colocando o estilo
            if(sels[i].options[j].disabled){
                sels[i].options[j].style.color = '#CCC';
            }
        }
        
    }
    
    
}
window.attachEvent("onload", ativaOptionsDisabled);
